lp:debian/wheezy/oss-compat

Created by James Westby on 2011-02-13 and last modified on 2014-09-23
Get this branch:
bzr branch lp:debian/wheezy/oss-compat
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

9. By Stephen Kitt on 2014-09-23

Give the correct destination when copying the new configuration
file. (Closes: #762547.)

8. By Christoph Egger on 2012-03-05

[ Stephen Kitt ]
* Add VCS information.

[ Christoph Egger ]
* Team upload

* Do not depend on module-init-tools
  * On linux it's transitional for kmod anyway
  * on kfreebsd it got uninstallable due to changes in module-init-tools
    recently (and there's nothing needed on kfreebsd)
* Make package arch:any so we can simplify Depends: to kmod [linux-any]

7. By Stephen Kitt on 2012-01-15

* Switch to single-component versions.
* Declare the package is "Multi-Arch: foreign", thanks to Steve Langasek
  for the hint! (Closes: #651335.)
* Make /etc/modprobe.d/oss-compat.conf a file, handling the various
  upgrade cases, and only removing it on purge. (Closes: #649507.)
  (LP: #340873)
* Add kmod as an alternative dependency to avoid preventing
  module-init-tools' removal.

6. By Bruno "Fuddl" Kleinert <email address hidden> on 2011-06-08

* Team upload.
* Re-upload without changes, because the last binary upload changed the
  Maintainer field to myself by accident, which made the package look
  hijacked.

5. By Stephen Kitt on 2011-06-06

* New maintainer. (Closes: #594376.)
* Only modprobe snd. (Closes: #390747.)
* Update copyright file, switch to DEP-5 format.
* Drop obsolete modutils dependency.
* Switch to dh7 short form.
* Specify source format "3.0 (native)".
* Override depends-on-essential-package-without-using-version
  explicitly; the dependencies allow this package to be installed on
  hurd.
* Standards-Version 3.9.2, no further change required.

4. By Michael Biebl on 2009-03-18

* Non-maintainer upload.
* debian/{postinst,prerm}
  - Update the symlink in /etc/modprobe.d/ to have a .conf suffix as
    is required now by module-init-tools. (Closes: #518149)

3. By Martín Ferrari on 2008-12-19

[ Frank Lichtenheld ]
* Non-maintainer upload.
* Add the "install snd-{mixer,pcm,seq}" items alsa-base previously
  had. Also remove the "install snd" item, we have no guarantee
  that is is used anyway (see #397765). (Closes: #500460)

[ Martín Ferrari ]
* Uploading Frank's changes.

2. By Steve M. Robbins <email address hidden> on 2008-07-22

* Non-maintainer upload.

* debian/dirs: add etc/modprobe.d. (Closes: #395423)

1. By Robert Millan <email address hidden> on 2006-09-30

Don't abort postinst if modprobe fails. (Closes: #387379)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:debian/oss-compat
This branch contains Public information 
Everyone can see this information.

Subscribers